%define name	dangerdeep
%define version 0.3.0
%define	release	%mkrel 1
%define title	Danger from the deep
%define summary WW2 german submarine simulation

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
License:	GPL
Group:		Games/Other
URL:		http://dangerdeep.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/dangerdeep/%{name}-%{version}.tar.bz2
BuildRequires:	scons
BuildRequires:	fftw3-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_net-devel
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	libmesagl-devel
BuildRequires:	libmesaglu-devel
BuildRequires:	ImageMagick
Requires:	dangerdeep-data
BuildRoot:      %{_tmppath}/%{name}-%{version}


%description
Danger from the deep (aka dangerdeep) is a Free / Open Source World War II
german submarine simulation. It is currently available for Linux/i386 and
Windows, but since it uses SDL/OpenGL it should be portable to other operating
systems or platforms. (If anyone whishes to port it, please contact us.) This
game is planned as tactical simulation and will be as realistic as our time and
knowledge of physics allows. It's current state is ALPHA, but it is playable.

%prep
rm -rf %{buildroot}

%setup -q

perl -pi -e "s|/usr/local/bin|%{_bindir}|"                          SConstruct
perl -pi -e "s|/usr/local/share/dangerdeep|%{_datadir}/dangerdeep|" SConstruct

%build
scons -k

%install
rm -rf %{buildroot}

[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf %{buildroot}

scons \
    installbindir=%{buildroot}%{_gamesbindir} \
    installdatadir=%{buildroot}%{_gamesdatadir} \
    datadir=%{_gamesdatadir}/%{name} \
    install

strip %{buildroot}%{_bindir}/%{name}

install -d -m 755 %{buildroot}%{_mandir}/man6
install -m 644 doc/man/dangerdeep.6 %{buildroot}%{_mandir}/man6

install -dm 755 %{buildroot}%{_datadir}/pixmaps
convert logo.xpm -resize 48x48! %{buildroot}%{_datadir}/pixmaps/%{name}.png

install -d -m 755 %{buildroot}%{_datadir}/applications
cat >  %{buildroot}%{_datadir}/applications/pclinuxos-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{title}
Comment=%{summary}
Exec=%{_gamesbindir}/%{name}
Icon=%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=X-MandrivaLinux-MoreApplications-Games-Other;Game;
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog CREDITS README INSTALL LICENSE
%{_gamesbindir}/%{name}
%{_mandir}/man6/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/pclinuxos-%{name}.desktop


%changelog
* Sat Apr 05 2008 P. K. Frederic <pkfric@yahoo.com> 0.3.0-1pclos2007
- first RPM for PCLinuxOS
